View Issue Details

IDProjectCategoryView StatusLast Update
0000017unrealircdpublic2007-04-15 16:32
ReportercodemastrAssigned To 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
PlatformAllOSN/A 
Product Version3.2-beta5 
Summary0000017: Listener recode
DescriptionChange listeners to be more memory efficient and stable.
TagsNo tags attached.
3rd party modules

Activities

Robby22

2006-10-18 00:14

reporter   ~0012501

Last edited: 2006-10-18 00:37

Is this about the listen-block stuff?

If so, may I then suggest to then also allow the use of non-"::ffff:"-style IPv4 addresses on IPv6 compiles? Thus that for example just "1.2.3.4" can be specified, like on non-IPv6 compiles...

This would for example fix listening on IPv4 addresses on OpenBSD for an IPv6-compile of UnrealIRCd, as the sysctl setting to allow "::ffff:"-style addresses is not changeable on OpenBSD (gives "Operation not permitted" iirc).


Edit: I just noticed this is a very old report (didn't pay attention to the date or the id...) but it is at the top of the list, no matter what sorting I select... some problem with the bugtracker? Anyway that's why I posted, thought it was a new one :P

tabrisnet

2006-10-23 03:28

reporter   ~0012510

this is more likely related to the code that listens/accepts connections from users.
nothing to do with the listen blocks.

and yes, this is quite old, and either has been done already, or has been pushed into 3.3.x

stskeeps

2007-04-15 16:32

reporter   ~0013408

..sometime in 3.2 development

Issue History

Date Modified Username Field Change
2006-10-18 00:14 Robby22 Note Added: 0012501
2006-10-18 00:37 Robby22 Note Edited: 0012501
2006-10-23 03:28 tabrisnet Note Added: 0012510
2007-04-15 16:32 stskeeps Status assigned => closed
2007-04-15 16:32 stskeeps Note Added: 0013408
2007-04-15 16:32 stskeeps Resolution open => fixed